Loading...
Searching...
No Matches
com::lomiri::content::Type Class Reference

`#include <com/lomiri/content/type.h>`

Inheritance diagram for com::lomiri::content::Type:
Collaboration diagram for com::lomiri::content::Type:

## Classes

struct | Known

## Public Member Functions

virtual | ~Type ()
| Type (const Type &)
Type & | operator= (const Type &)
bool | operator== (const Type &) const
bool | operator!= (const Type &) const
bool | operator< (const Type &) const
virtual Q_INVOKABLE const QString & | id () const

## Static Public Member Functions

static const Type & | unknown ()
static const Type & | all ()

## Protected Member Functions

| Type (const QString &, QObject *=nullptr)

## Properties

QString | id

## Friends

struct | Known
class | Transfer
class | detail::Service
class | detail::RegistryUpdater

## Detailed Description

Definition at line 37 of file type.h.

## Constructor & Destructor Documentation

## ~Type()

virtual com::lomiri::content::Type::~Type | ( |  | ) |

virtual

## Type() [1/2]

com::lomiri::content::Type::Type | ( | const Type & |  | ) |

References Type().

Referenced by all(), com::lomiri::content::Type::Known::contacts(), com::lomiri::content::Type::Known::documents(), com::lomiri::content::Type::Known::ebooks(), com::lomiri::content::Type::Known::events(), com::lomiri::content::Type::Known::links(), com::lomiri::content::Type::Known::music(), operator!=(), operator<(), operator=(), operator==(), com::lomiri::content::Type::Known::pictures(), com::lomiri::content::Type::Known::text(), Type(), unknown(), and com::lomiri::content::Type::Known::videos().

Here is the call graph for this function:

## Type() [2/2]

com::lomiri::content::Type::Type | ( | const QString & | ,
|  | QObject * | = nullptr )

explicit protected

## Member Function Documentation

## all()

const Type & com::lomiri::content::Type::all | ( |  | ) |

static

References all(), and Type().

Referenced by all().

Here is the call graph for this function:

## id()

virtual Q_INVOKABLE const QString & com::lomiri::content::Type::id | ( |  | ) | const

virtual

## operator!=()

bool com::lomiri::content::Type::operator!= | ( | const Type & |  | ) | const

References Type().

Here is the call graph for this function:

## operator<()

bool com::lomiri::content::Type::operator< | ( | const Type & |  | ) | const

References Type().

Here is the call graph for this function:

## operator=()

Type & com::lomiri::content::Type::operator= | ( | const Type & |  | ) |

References Type().

Here is the call graph for this function:

## operator==()

bool com::lomiri::content::Type::operator== | ( | const Type & |  | ) | const

References Type().

Here is the call graph for this function:

## unknown()

const Type & com::lomiri::content::Type::unknown | ( |  | ) |

static

References Type(), and unknown().

Referenced by unknown().

Here is the call graph for this function:

## Friends And Related Symbol Documentation

## detail::RegistryUpdater

friend class detail::RegistryUpdater

friend

Definition at line 73 of file type.h.

References detail::RegistryUpdater.

Referenced by detail::RegistryUpdater.

## detail::Service

friend class detail::Service

friend

Definition at line 72 of file type.h.

References detail::Service.

Referenced by detail::Service.

## Known

friend struct Known

friend

Definition at line 70 of file type.h.

## Transfer

friend class Transfer

friend

Definition at line 71 of file type.h.

References Transfer.

Referenced by Transfer.

## Property Documentation

## id

QString com::lomiri::content::Type::id

read

Definition at line 40 of file type.h.

The documentation for this class was generated from the following file:

- include/com/lomiri/content/type.h